package com.xingxi.business.Order.mapper;

import com.xingxi.business.Order.domain.Order;

import java.util.List;

/**
 * 订单Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface OrderMapper {
    /**
     * 查询订单
     *
     * @param orderId 订单主键
     * @return 订单
     */
    Order selectOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     *
     * @param order 订单
     * @return 订单集合
     */
    List<Order> selectOrderList(Order order);

    /**
     * 新增订单
     *
     * @param order 订单
     * @return 结果
     */
    int insertOrder(Order order);

    /**
     * 批量新增订单
     *
     * @param orderList 订单
     * @return 结果
     */
    int batchInsertOrder(List<Order> orderList);

    /**
     * 修改订单
     *
     * @param order 订单
     * @return 结果
     */
    int updateOrder(Order order);

    /**
     * 删除订单
     *
     * @param orderId 订单主键
     * @return 结果
     */
    int deleteOrderByOrderId(Long orderId);

    /**
     * 批量删除订单
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOrderByOrderIds(String[] orderIds);


    /**
     * 逻辑删除订单
     *
     * @param orderId 订单主键
     * @return 结果
     */
    int logicDeleteOrderByOrderId(Long orderId);

    /**
     * 逻辑批量删除订单
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteOrderByOrderIds(String[] orderIds);

    /**
     * 逻辑批量删除订单
     *
     * @param order 订单
     * @return 结果
     */
    int logicDeleteOrderByCondition(Order order);

}
